Skip to content
ShopentlyLearn

Update a variant option

Change and reorder variant definitions and values.

PATCH/api/v1/variant-options/{identity}

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/variant-options/example \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-update_variant_option_api_v1_variant_options__identity__patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"name":"Example"}'

Response

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
Edit variantscatalog.variant_option:update